%define name	qalculate
%define version	0.4
%define release 1mdk

Name: 	 	%{name}
Summary: 	A very versatile desktop calculator
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-gtk-%{version}.tar.bz2
URL:		http://qalculate.sourceforge.net/
License:	GPL
Group:		Office
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libgtk+2-devel libglade2.0-devel pkgconfig cln-devel
BuildRequires:	ImageMagick gettext
Requires:	gnuplot wget

%description
Qalculate! is a modern multi-purpose desktop calculator for GNU/Linux. It is
small and simple to use but with much power and versatility underneath.
Features include customizable functions, units, arbitrary precision, plotting,
and a graphical interface (GTK+) that uses a one-line fault-tolerant
expression entry (although it supports optional traditional buttons). 

%prep
%setup -q -n %name-gtk-%version

%build
%configure
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
pushd $RPM_BUILD_ROOT/%_bindir
ln -s %name-gtk %name
popd

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}-gtk" icon="%{name}.png" needs="x11" title="Qalculate!" longtitle="Versatile desktop calculator" section="Office/Accessories"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 data/icon.xpm $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 data/icon.xpm $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 data/icon.xpm $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name-gtk

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %{name}-gtk.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/*
%{_menudir}/%name
%{_datadir}/applications/*
%{_datadir}/applnk/Utilities/*
%{_datadir}/%name-gtk
%{_datadir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Wed Feb 18 2004 Austin Acton <austin@mandrake.org> 0.4-1mdk
- 0.4

* Mon Oct 27 2003 Austin Acton <aacton@yorku.ca> 0.3.1-1mdk
- 0.3.1

* Wed Oct 22 2003 Austin Acton <aacton@yorku.ca> 0.3-1mdk
- initial package
